import request from '@/utils/request';
//获取所有变电站

//获取table表格
export function getrobotdata(params:any){
  return request({
    url: '/basedata/substation-patroldevice/getPatrolDevicePage' ,
    method: 'get',
    params:params
  });
}

//新增或修改机器人
export function addPosition(params:any){
  return request({
    url: '/basedata/substation-patroldevice/addOrUpdatePatrolRobot' ,
    method: 'post',
    data:params
  });
}
//根据机器人编码获取摄像头
export function getCreamRoot(params:any){
    return request({
      url: '/basedata/substation-patroldevice/getCameraByRobotCode' ,
      method: 'get',
      params:params
    });
  }
//改变状态
export function changeStatus(params:any){
  return request({
    url: '/basedata/substation-patroldevice/setPatrolDeviceStatus' ,
    method: 'post',
    params:params
  });
}
//删除
export function delPosition(params:any){
  return request({
    url: '/basedata/substation-patroldevice/deletePatrolDevice' ,
    method: 'post',
    params:params
  });
}
  //获取设备履历数据
  export function getEquipment (params:any){
    return request({
      url: '/basedata/substation-patroldevice/getPatrolDeviceResumeList' ,
      method: 'get',
      params:params
    });
  }
  // 导出
  export function exportPatrolDeviceList (params:any){
    return request({
      url: '/basedata/substation-patroldevice/exportPatrolDeviceList' ,
      method: 'get',
      responseType: 'arraybuffer',
      params:params
    });
  }